import { Context, File } from "@code-engine/types";
import { NormalizedConfig } from "./normalize-config";
/**
 * Asynchronously reads files from the filesystem and yields the ones that match the configuration critiera.
 */
export declare function read(config: NormalizedConfig): (context: Context) => Promise<File | AsyncIterable<File> | undefined>;
